{% extends "base_template.html" %}

{% block title %}
    {{ user.name }}
{% endblock %}

{% block content %}

    <div class="my-3 p-3 bg-body rounded shadow-sm">
        <h6 class="border-bottom pb-2 mb-0">Formulario de usuario</h6>
        <div class="d-flex text-muted pt-3">
            <div class="col">
                <p class="h4">Nombre: {{ user.name }}</p>
            </div>
            <div class="col">
                <p class="h4">Email: {{ user.name }}</p>
            </div>
        </div>

        <div class="d-flex text-muted pt-3">
            <form action="" method="post" novalidate>
                {{ form.hidden_tag() }}
                <div class="col">
                    <p class="h5">
                        {{ form.is_admin.label }}
                        {{ form.is_admin }} <br>
                        {% for error in form.is_admin.errors %}
                        <span style="color: red">{{ error }}</span>
                        {% endfor%}
                    </p>
                </div>
                <div class="col">
                    {{ form.submit(class_="btn btn-primary btn-lg") }}
                </div>
            </form>
        </div>
        <div class="d-flex text-muted pt-3">
            <div class="row">
                <form action="{{ url_for("admin.delete_user", user_id=user.id) }}" method="post" novalidate>
                    <div class="col">
                        <button type="submit" class="btn btn-danger btn-lg">Eliminar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


{% endblock %}